Bug 824287 - [REGRESSION] be2iscsi: fix dma free size mismatch
[REGRESSION] be2iscsi: fix dma free size mismatch
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
All Linux
high Severity high
: rc
: ---
Assigned To: Mike Christie
Bruno Goncalves
: Regression
Depends On:
Blocks: 829335 833163
  Show dependency treegraph
 
Reported: 2012-05-23 03:41 EDT by Mike Christie
Modified: 2012-06-20 04:43 EDT (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.32-277.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 04:43:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2012-05-23 03:41:41 EDT
Description of problem:

When loading be2iscsi, it will free an incorrect number of bytes resulting in this trace:


-----------[ cut here ]------------
WARNING: at lib/dma-debug.c:811 check_unmap+0x180/0x760() (Not tainted)
Hardware name: Precision WorkStation T5500  
be2iscsi 0000:04:00.2: DMA-API: device driver frees DMA memory with different size [device address=0x0000000032509000] [map size=4 bytes] [unmap size=72 bytes]
Modules linked in: be2iscsi(+) iscsi_boot_sysfs libiscsi scsi_transport_iscsi be2net microcode dcdbas serio_raw i2c_i801 sg iTCO_wdt iTCO_vendor_support tg3 snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i7core_edac edac_core ext4 mbcache jbd2 sr_mod cdrom sd_mod crc_t10dif firewire_ohci firewire_core crc_itu_t ahci nouveau ttm drm_kms_helper drm i2c_core mxm_wmi video output wmi dm_mirror dm_region_hash dm_log dm_mod [last unloaded: scsi_wait_scan]
Pid: 818, comm: modprobe Not tainted 2.6.32-273.el6.i686.debug #1
Call Trace:
 [<c0459146>] ? warn_slowpath_common+0x76/0xb0
 [<c062ca40>] ? check_unmap+0x180/0x760
 [<c062ca40>] ? check_unmap+0x180/0x760
 [<c04591fe>] ? warn_slowpath_fmt+0x2e/0x30
 [<c062ca40>] ? check_unmap+0x180/0x760
 [<c040fa58>] ? sched_clock+0x8/0x10
 [<c062d072>] ? debug_dma_free_coherent+0x52/0x60
 [<fa818679>] ? mgmt_exec_nonemb_cmd+0x1e9/0x280 [be2iscsi]
 [<c047ba10>] ? autoremove_wake_function+0x0/0x40
 [<fa818af4>] ? mgmt_get_if_info+0x74/0x90 [be2iscsi]
 [<fa80fd16>] ? beiscsi_create_def_ifaces+0x26/0x70 [be2iscsi]
 [<fa81b649>] ? beiscsi_dev_probe+0x12c8/0x13dd [be2iscsi]
 [<c04829cd>] ? cpu_clock+0x6d/0x70
 [<c047ba10>] ? autoremove_wake_function+0x0/0x40
 [<c0866e2d>] ? _spin_unlock+0x1d/0x20
 [<c063642e>] ? local_pci_probe+0xe/0x10
 [<c0637230>] ? pci_device_probe+0x60/0x80
 [<c06e36e7>] ? driver_probe_device+0x87/0x290
 [<c06e3969>] ? __driver_attach+0x79/0x80
 [<c06e2b28>] ? bus_for_each_dev+0x48/0x70
 [<c06e34d9>] ? driver_attach+0x19/0x20
 [<c06e38f0>] ? __driver_attach+0x0/0x80
 [<c06e2edf>] ? bus_add_driver+0x1df/0x2e0
 [<c0637170>] ? pci_device_remove+0x0/0x40
 [<c06e3bf5>] ? driver_register+0x65/0x110
 [<c0625b12>] ? __spin_lock_init+0x32/0x60
 [<c0637464>] ? __pci_register_driver+0x54/0xc0
 [<fa7a105d>] ? beiscsi_module_init+0x5d/0x9d [be2iscsi]
 [<c0481196>] ? up_read+0x16/0x30
 [<c040303d>] ? do_one_initcall+0x2d/0x1d0
 [<fa7a1000>] ? beiscsi_module_init+0x0/0x9d [be2iscsi]
 [<c04a19b3>] ? sys_init_module+0xb3/0x220
 [<c049268c>] ? trace_hardirqs_on_caller+0x12c/0x170
 [<c0620de4>] ? trace_hardirqs_on_thunk+0xc/0x10
 [<c0409d5f>] ? sysenter_do_call+0x12/0x38
---[ end trace a3043032a63015fd ]---
Mapped at:
 [<c062c0da>] debug_dma_alloc_coherent+0x2a/0x80
 [<fa818445>] mgmt_alloc_cmd_data+0xf5/0x140 [be2iscsi]
 [<fa818ace>] mgmt_get_if_info+0x4e/0x90 [be2iscsi]
 [<fa80fd16>] beiscsi_create_def_ifaces+0x26/0x70 [be2iscsi]
 [<fa81b649>] beiscsi_dev_probe+0x12c8/0x13dd [be2iscsi]
be2iscsi 0000:04:00.3: PCI INT D -> GSI 38 (level, low) -> IRQ 38



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2012-05-23 03:43:35 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 5 Jarod Wilson 2012-05-31 11:10:56 EDT
Patch(es) available on kernel-2.6.32-277.el6
Comment 8 Bruno Goncalves 2012-06-04 02:58:21 EDT
Ran regression test on kernel-2.6.32-277.el6

No error has been found.

Also be2iscsi module was loaded and unloaded 1000 times without generating any trace.
Comment 10 errata-xmlrpc 2012-06-20 04:43:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0862.html

Note You need to log in before you can comment on or make changes to this bug.